%{?!module_name: %{error: You did not specify a module name (%%module_name)}}
%{?!version: %{error: You did not specify a module version (%%version)}}
%{?!kernel_versions: %{error: You did not specify kernel versions (%%kernel_version)}}
%{?!packager: %define packager Mandrakelinux Team <http://www.mandrakeexpert.com>}
%{?!license: %define license Commercial}

%{?!_dkmsdir: %define _dkmsdir %_localstatedir/dkms}
%{?!_srcdir: %define _srcdir %_prefix/src}
%define fake_version %version
%{?release: %define fake_version %version-%release}
%{?!release: %define release 1mdk}
%define modulesrcdir %{_srcdir}/%{module_name}-%{fake_version}
%define moduledkmsdir %{_dkmsdir}/%{module_name}/%{fake_version}/

Name:		%{module_name}-kernel
Version:	%{version}
Release:	%{release}
Summary:	%{module_name} driver for kernels %{kernel_versions}
Group:		System/Kernel and hardware
License:	%{license}
BuildRoot:	%{_tmppath}/%{name}-buildroot
Provides:	%{module_name} = %{version}
PreReq(post):	dkms-minimal >= 1.94
PreReq(preun):	dkms-minimal >= 1.94

%description
dkms binary kernel modules for the %{module_name} driver version %{version},
built for the %{kernel_versions} kernel(s).

%(for kernel in %kernel_versions;do echo -e "\
%package $kernel\n\
Summary:	%{module_name} driver for Kernel ${kernel} \n\
Version:	%{version} \n\
Release:	%{release} \n\
License:	Unknown \n\
Group:		System/Kernel and hardware\n\
Requires:	dkms-minimal >= 1.90 \n\
\n\
%description $kernel\n\
dkms binary kernel modules for the %{module_name} driver version %{version},\n\
built for the ${kernel} kernel."\
;done)

%prep

%install
rm -rf $RPM_BUILD_ROOT
for kernel in %kernel_versions;do
mkdir -p %{buildroot}/%{moduledkmsdir}/${kernel}
cp -a %{moduledkmsdir}/${kernel} %{buildroot}/%{moduledkmsdir}
install %{modulesrcdir}/dkms.conf %{buildroot}/%{moduledkmsdir}/${kernel}
done

%clean
rm -rf $RPM_BUILD_ROOT

%(for kernel in %{kernel_versions};do echo -e "\
%post ${kernel}\n\
[ -e %{modulesrcdir} ] || mkdir -p %{modulesrcdir}\n\
[ -e %{modulesrcdir}/dkms.conf ] || cp -a %{moduledkmsdir}/${kernel}/dkms.conf %{modulesrcdir}\n\
[ -e %{moduledkmsdir}/source ] || ln -sf %{modulesrcdir} %{moduledkmsdir}/source\n\
dkms install -m %{module_name} -v %{fake_version} -k ${kernel} --rpm_safe_upgrade\n\
dkms status -m %{module_name} -v %{fake_version}"\
;done)

%(for kernel in %{kernel_versions};do echo -e "\
%preun ${kernel}\n\
dkms remove -m %{module_name} -v %{fake_version} -k ${kernel} --rpm_safe_upgrade"\
;done)

%(for kernel in %{kernel_versions};do echo -e "\
%files ${kernel}\n%defattr(-,root,root)\n\
%{moduledkmsdir}/${kernel}\n\
";done)

%changelog
* %(date "+%a %b %d %Y") %packager %{version}-%{release}
- Automatic build by dkms
